TheIDE: SaveLoadPackageNS(false), SaveLoadPackage(false) applying

12/08/2011 09:48 PM - Sender Ghost

Status: Approved Start date: 12/08/2011

Priority: Immediate Due date:

Assignee: Miroslav Fidler % Done: 100%

Category: IDE Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Fixing of issue #139 introduced new sel argument for SaveLoadPackageNS and SaveLoadPackage functions.

Mainly, to disable selection of package items inside these functions, if selection will be done after.

Example:

int i = filelist.GetCursor();

int s = filelist.GetSbPos();

SaveLoadPackage(false);

filelist.SetSbPos(s);

filelist.SetCursor(i);

I propose to use such functions with sel = false argument, where such situation exists.

History

#1 - 12/08/2011 09:49 PM - Sender Ghost

- File 212_uppsrc.diff added

- Status changed from New to Patch ready

- % Done changed from 0 to 100

#2 - 12/17/2011 08:51 AM - Miroslav Fidler

- Priority changed from Normal to Immediate

#3 - 12/22/2011 08:25 PM - Miroslav Fidler

- Status changed from Patch ready to Approved

Patch applied, thank you.
/redmine/projects/upp/repository/revisions/4174/entry/trunk/uppsrc/ide/UppWspc.cpp#L200
